- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QTextImageFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 631 of file qtextformat.h.

`#include <qtextformat.h>`

Inheritance diagram for QTextImageFormat:
[legend]

List of all members.

## Public Member Functions
| QTextImageFormat ()
bool | isValid () const
void | setName (const QString &name)
QString | name () const
void | setWidth (qreal width)
qreal | width () const
void | setHeight (qreal height)
qreal | height () const
## Protected Member Functions
| QTextImageFormat (const QTextFormat &format)
## Friends
class | QTextFormat

## Constructor & Destructor Documentation

QTextImageFormat | ( |  | ) |

QTextImageFormat | ( | const QTextFormat & | format | ) | `[explicit, protected]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextCharFormat.

Definition at line 636 of file qtextformat.h.

    { return isImageFormat(); }

void setName | ( | const QString & | name | ) | `[inline]`

Search for all occurrences

Definition at line 655 of file qtextformat.h.

    { setProperty(ImageName, aname); }

QString name | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 639 of file qtextformat.h.

        { return stringProperty(ImageName); }

void setWidth | ( | qreal | width | ) | `[inline]`

Search for all occurrences

Definition at line 658 of file qtextformat.h.

    { setProperty(ImageWidth, awidth); }

qreal width | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 643 of file qtextformat.h.

        { return doubleProperty(ImageWidth); }

void setHeight | ( | qreal | height | ) | `[inline]`

Search for all occurrences

Definition at line 661 of file qtextformat.h.

    { setProperty(ImageHeight, aheight); }

qreal height | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 647 of file qtextformat.h.

        { return doubleProperty(ImageHeight); }

## Friends And Related Function Documentation

friend class QTextFormat `[friend]`

Search for all occurrences

Reimplemented from QTextCharFormat.

Definition at line 652 of file qtextformat.h.

The documentation for this class was generated from the following file:

- QtGui/qtextformat.h

QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat
QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat QTextImageFormat